Index: /trunk/language/zh_HK/common.lang.php
===================================================================
--- /trunk/language/zh_HK/common.lang.php	(revision 16847)
+++ /trunk/language/zh_HK/common.lang.php	(revision 16848)
@@ -149,5 +149,5 @@
 $lang['Hello'] = '你好';
 $lang['Help'] = '幫肋';
-$lang['Here are your connection settings'] = '這是你連接的設定';
+$lang['Here are your connection settings'] = '這是你的連接設定';
 $lang['Home'] = '主頁';
 $lang['I want to add photos'] = '我想加入相片';
@@ -247,3 +247,59 @@
 $lang['stop the slideshow'] = '停止幻燈片播放';
 $lang['this login is already used'] = '用戶名稱已經被使用';
+$lang['Requested album does not exist'] = '要求的相簿不存在';
+$lang['Requested tag does not exist'] = '要求的標籤不存在';
+$lang['Reset to default values'] = '重設到預設值';
+$lang['Reset'] = '重設';
+$lang['Retrieve password'] = '重新取得密碼';
+$lang['Return to home page'] = '回到主頁';
+$lang['SQL queries in'] = 'SQL 查詢在';
+$lang['Search by date'] = '以日期搜尋';
+$lang['Search for Author'] = '以作者搜尋';
+$lang['Search for all terms'] = '搜尋所有項目';
+$lang['Search for any term'] = '搜尋任何項目';
+$lang['Search for words'] = '搜尋詞語';
+$lang['Search in albums'] = '在相簿中搜尋';
+$lang['Search in sub-albums'] = '在子相簿中搜尋';
+$lang['Search results'] = '搜尋結果';
+$lang['Search rules'] = '搜尋規則';
+$lang['Search'] = '搜尋';
+$lang['Send my connection settings by email'] = '以電郵寄出連接設定';
+$lang['Sent by'] = '發送人';
+$lang['Show file metadata'] = '顯示檔案資料';
+$lang['Show latest comments first'] = '顯示最新的留言在前';
+$lang['Show number of comments'] = '顯示留言總數';
+$lang['Show oldest comments first'] = '顯示最舊的留言在前';
+$lang['Someone requested that the password be reset for the following user account:'] = '有人曾經要求重設以下用戶的密碼:';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = '註冊成功, 你將會收到一封電郵裏有你的連接設定.
+歡迎!';
+$lang['Tag results for'] = '標籤結果為';
+$lang['Tag'] = '標籤';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS 訂閱提供在網站上的新動向: 新相片, 更新的相簿, 新留言. 須要使用 RSS 閱讀器.';
+$lang['The passwords do not match'] = '密碼不符';
+$lang['This author modified following comment:'] = '這作者修改了以下的留言:';
+$lang['This author removed the comment with id %d'] = '這作者刪除了的留言 id 為 %d';
+$lang['To reset your password, visit the following address:'] = '請到以下網址重設你的密碼';
+$lang['User "%s" has no email address, password reset is not possible'] = '用戶 "%s" 沒有電郵地址, 不能重設密碼';
+$lang['User comments'] = '用戶留言';
+$lang['You will receive a link to create a new password via email.'] = '你會收到的電郵裏會有一個網址來重設密碼';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = '你留言由於不符合規則, 不能記錄.';
+$lang['Your comment has been registered'] = '你的留言已被記錄';
+$lang['Your password has been reset'] = '你的密碼已經重設';
+$lang['comment date'] = '留言日期';
+$lang['display all photos in all sub-albums'] = '顯示所有子相簿的相片';
+$lang['display last user comments'] = '顯示用戶的新留言';
+$lang['display photos linked to this tag'] = '顯示連結到這標籤的相片';
+$lang['display recently updated albums'] = '顯示最近更新的相簿';
+$lang['display this album'] = '顯示這相簿';
+$lang['in %d sub-albums'] = '在子相簿 %d 中';
+$lang['in %d sub-album'] = '在子相簿 %d 中';
+$lang['in this album'] = '在這相簿中';
+$lang['password updated'] = '密碼已更新';
+$lang['please enter your password again'] = '請再輸入密碼';
+$lang['remove this tag from the list'] = '在列表中刪除此標籤';
+$lang['representative'] = '相簿縮圖';
+$lang['searched words : %s'] = '搜尋詞語:  %s';
+$lang['search'] = '搜尋';
+$lang['set as album representative'] = '設定為相簿縮圖';
+$lang['useful when password forgotten'] = '忘記密碼時將會使用';
 ?>