Index: extensions/Photo_add_by/index.php
===================================================================
--- extensions/Photo_add_by/index.php	(revision 16859)
+++ extensions/Photo_add_by/index.php	(revision 16859)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Photo_add_by/initpicture.php
===================================================================
--- extensions/Photo_add_by/initpicture.php	(revision 16859)
+++ extensions/Photo_add_by/initpicture.php	(revision 16859)
@@ -0,0 +1,66 @@
+<?php
+
+//Ajout du prefiltre
+add_event_handler('loc_begin_picture', 'pabI', 55 );
+
+function pabI()
+ {
+	global $template;
+	$template->set_prefilter('picture', 'pabIT');
+ }
+
+function pabIT($content, &$smarty)
+ {
+  $search = '#<div id="datecreate" class="imageInfo">#';
+  
+  $replacement = '
+  {if $PAB}
+  <div id="pab1" class="imageInfo">
+    <dt>{\'Photo add by\'|@translate}</dt>
+    <dd>{$PAB}</dd>
+  </div>
+{/if}
+<div id="datecreate" class="imageInfo">';
+
+  return preg_replace($search, $replacement, $content);
+ }
+
+add_event_handler('loc_begin_picture', 'pab');
+
+function pab()
+{
+global $conf, $page, $template;
+load_language('plugin.lang', PAB_PATH);
+load_language('lang', PHPWG_ROOT_PATH.PWG_LOCAL_DIR, array('no_fallback'=>true, 'local'=>true) );
+
+  if ( !empty($page['image_id']) )   
+  {
+ 
+  $query = '
+select added_by
+  FROM ' . IMAGES_TABLE . '
+  WHERE id = \''.$page['image_id'].'\'
+  ;';
+$result = pwg_query($query);
+$row = mysql_fetch_array($result);
+$userab=$row['added_by'];
+  
+  $query = '
+select username
+  FROM ' . USERS_TABLE . '
+  WHERE id = \''.$userab.'\'
+  ;';
+$result = pwg_query($query);
+$row = mysql_fetch_array($result);
+$pab=$row['username'];
+
+
+    // Envoi des données au template
+	    $template->assign	(
+		array	(
+		'PAB' => $pab,
+				)			);
+  }
+}
+
+?>
Index: extensions/Photo_add_by/language/en_UK/description.txt
===================================================================
--- extensions/Photo_add_by/language/en_UK/description.txt	(revision 16859)
+++ extensions/Photo_add_by/language/en_UK/description.txt	(revision 16859)
@@ -0,0 +1,1 @@
+Add who add photo on photo page
Index: extensions/Photo_add_by/language/en_UK/index.php
===================================================================
--- extensions/Photo_add_by/language/en_UK/index.php	(revision 16859)
+++ extensions/Photo_add_by/language/en_UK/index.php	(revision 16859)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Photo_add_by/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Photo_add_by/language/en_UK/plugin.lang.php	(revision 16859)
+++ extensions/Photo_add_by/language/en_UK/plugin.lang.php	(revision 16859)
@@ -0,0 +1,3 @@
+<?php
+$lang['Photo add by'] = 'Photo add by';
+?>
Index: extensions/Photo_add_by/language/fr_FR/description.txt
===================================================================
--- extensions/Photo_add_by/language/fr_FR/description.txt	(revision 16859)
+++ extensions/Photo_add_by/language/fr_FR/description.txt	(revision 16859)
@@ -0,0 +1,1 @@
+Ajoute qui a ajouté la photo sur la page photo
Index: extensions/Photo_add_by/language/fr_FR/index.php
===================================================================
--- extensions/Photo_add_by/language/fr_FR/index.php	(revision 16859)
+++ extensions/Photo_add_by/language/fr_FR/index.php	(revision 16859)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Photo_add_by/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Photo_add_by/language/fr_FR/plugin.lang.php	(revision 16859)
+++ extensions/Photo_add_by/language/fr_FR/plugin.lang.php	(revision 16859)
@@ -0,0 +1,3 @@
+<?php
+$lang['Photo add by'] = 'Photo Ajouté par';
+?>
Index: extensions/Photo_add_by/language/index.php
===================================================================
--- extensions/Photo_add_by/language/index.php	(revision 16859)
+++ extensions/Photo_add_by/language/index.php	(revision 16859)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Photo_add_by/main.inc.php
===================================================================
--- extensions/Photo_add_by/main.inc.php	(revision 16859)
+++ extensions/Photo_add_by/main.inc.php	(revision 16859)
@@ -0,0 +1,24 @@
+<?php
+/*
+Plugin Name: Photo add by
+Version: auto
+Description: 
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=621
+Author: ddtddt
+Author URI: 
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $prefixeTable;
+
+define('PAB_DIR' , basename(dirname(__FILE__)));
+define('PAB_PATH' , PHPWG_PLUGINS_PATH . PAB_DIR . '/');
+
+ // Plugin on picture page
+if (script_basename() == 'picture')  
+{  
+  include_once(dirname(__FILE__).'/initpicture.php');
+}
+
+?>