Index: /trunk/language/zh_HK/common.lang.php
===================================================================
--- /trunk/language/zh_HK/common.lang.php	(revision 16859)
+++ /trunk/language/zh_HK/common.lang.php	(revision 16860)
@@ -42,6 +42,6 @@
 $lang['%d comments to validate'] = '%d 個留言須要審核';
 $lang['%d comments'] = '%d 個留言';
-$lang['%d hit'] = '%d 個點擊';
-$lang['%d hits'] = '%d 個點擊';
+$lang['%d hit'] = '%d 次點擊';
+$lang['%d hits'] = '%d 次點擊';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d new comment'] = '%d 個新留言';
@@ -133,5 +133,5 @@
 $lang['Error sending email'] = '寄出郵件時發生錯誤';
 $lang['Expand all albums'] = '打開所有相簿';
-$lang['Favorites'] = '最愛';
+$lang['Favorites'] = '收藏夾';
 $lang['File name, A &rarr; Z'] = '檔案名稱, A &rarr; Z';
 $lang['File name, Z &rarr; A'] = '檔案名稱, Z &rarr; A';
@@ -176,5 +176,5 @@
 $lang['Menu'] = '選單';
 $lang['Mobile'] = '移動裝置';
-$lang['Most visited'] = '最多訪問';
+$lang['Most visited'] = '最多點閱';
 $lang['N/A'] = '不適用';
 $lang['New on %s'] = '新相片在 %s';
@@ -303,3 +303,113 @@
 $lang['set as album representative'] = '設定為相簿縮圖';
 $lang['useful when password forgotten'] = '忘記密碼時將會使用';
+$lang['Show number of hits'] = '顯示點擊次數';
+$lang['Since'] = '由';
+$lang['Sort by'] = '排序';
+$lang['Sort order'] = '排序規則';
+$lang['Specials'] = '特類';
+$lang['Submit'] = '提交';
+$lang['Thank you for registering at %s!'] = '多謝在 %s 註冊!';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = '系統在維護中，請稍候再來。';
+$lang['The number of photos per page must be a not null scalar'] = '每頁相片數必須為正數';
+$lang['Thumbnails'] = '縮圖';
+$lang['Unknown feed identifier'] = '未知的訂閱識別符';
+$lang['Unknown identifier'] = '未知的識別符';
+$lang['Update your rating'] = '更改評級';
+$lang['User: %s'] = '用戶: %s';
+$lang['Username "%s" on gallery %s'] = '在相簿 %s 上的用戶名稱 &quot;%s&quot; ';
+$lang['Username modification'] = '用戶名稱更改';
+$lang['Username or email'] = '用戶名稱或電郵';
+$lang['Username: %s'] = '用戶名稱: %s';
+$lang['Username'] = '用戶名稱';
+$lang['View in'] = '檢視在';
+$lang['View'] = '檢視';
+$lang['Visits, high &rarr; low'] = '點閱次數, 高 &rarr; 低';
+$lang['Visits, low &rarr; high'] = '點閱次數, 低 &rarr; 高';
+$lang['Visits'] = '點閱次數';
+$lang['Webmaster'] = '管理員';
+$lang['Week %d'] = '星期 %d';
+$lang['Welcome to your Piwigo photo gallery!'] = '歡迎來到你的 Piwigo 相簿!';
+$lang['Welcome'] = '歡迎';
+$lang['Yes'] = '是';
+$lang['You are not authorized to access the requested page'] = '你沒有權限訪問這頁面';
+$lang['Your Gallery Customization'] = '相簿設定';
+$lang['Your favorites'] = '你的收藏夾';
+$lang['Your username has been successfully changed to : %s'] = '你的用戶名稱已成功更改為: %s';
+$lang['add this photo to your favorites'] = '把這張相片加入到收藏夾中';
+$lang['all'] = '所有';
+$lang['ascending'] = '從小到大排序';
+$lang['author(s) : %s'] = '作者: %s';
+$lang['available for administrators only'] = '只限管理員';
+$lang['chronology_monthly_calendar'] = '月曆';
+$lang['chronology_monthly_list'] = '每月列表';
+$lang['chronology_weekly_list'] = '每週列表';
+$lang['cloud'] = '雲';
+$lang['created after %s (%s)'] = '建立於 %s (%s) 之後';
+$lang['created before %s (%s)'] = '建立於 %s (%s) 之前';
+$lang['created between %s (%s) and %s (%s)'] = '建立於 %s (%s) 和 %s (%s) 之間';
+$lang['created on %s'] = '建立於 %s';
+$lang['customize the appareance of the gallery'] = '設定相簿的外觀';
+$lang['day']['0'] = '星期日';
+$lang['day']['1'] = '星期一';
+$lang['day']['2'] = '星期二';
+$lang['day']['3'] = '星期三';
+$lang['day']['4'] = '星期四';
+$lang['day']['5'] = '星期五';
+$lang['day']['6'] = '星期六';
+$lang['delete all photos from your favorites'] = '從收藏夾中刪除所有相片';
+$lang['delete this photo from your favorites'] = '從收藏夾中刪除這張相片';
+$lang['descending'] = '從大到小排序';
+$lang['display a calendar by creation date'] = '以建立日期來顯示日曆';
+$lang['display a calendar by posted date'] = '以發佈日期來顯示日曆';
+$lang['display a set of random photos'] = '顯示隨機相片';
+$lang['display best rated photos'] = '顯示最高評級相片';
+$lang['display each day with photos, month per month'] = '按月和日顯示相片';
+$lang['display most recent photos'] = '顯示最新相片';
+$lang['display most visited photos'] = '顯示點閱次數最多的相片';
+$lang['display only recently posted photos'] = '只顯示最近發佈的相片';
+$lang['display your favorites photos'] = '顯示收藏的相片';
+$lang['edit'] = '編輯';
+$lang['excluded'] = '不包括';
+$lang['from %s to %s'] = '由 %s 至 %s';
+$lang['group by letters'] = '按字母分類';
+$lang['guest'] = '訪客';
+$lang['included'] = '包括';
+$lang['large'] = 'L - 大';
+$lang['last %d days'] = '最近 %d 天';
+$lang['letters'] = '字母';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = '電郵地址必須類似 xxx@yyy.eee (例如: jack@altern.org)';
+$lang['medium'] = 'M - 中';
+$lang['month']['10'] = '十月';
+$lang['month']['11'] = '十一月';
+$lang['month']['12'] = '十二月';
+$lang['month']['1'] = '一月';
+$lang['month']['2'] = '二月';
+$lang['month']['3'] = '三月';
+$lang['month']['4'] = '四月';
+$lang['month']['5'] = '五月';
+$lang['month']['6'] = '六月';
+$lang['month']['7'] = '七月';
+$lang['month']['8'] = '八月';
+$lang['month']['9'] = '九月';
+$lang['no rate'] = '沒有評級';
+$lang['obligatory'] = '必須';
+$lang['photos posted during the last %d days'] = '相片在最近 %d 天中發佈';
+$lang['photo'] = '相片';
+$lang['posted after %s (%s)'] = '在 %s (%s) 之後發佈';
+$lang['posted before %s (%s)'] = '在 %s (%s) 之前發佈';
+$lang['posted between %s (%s) and %s (%s)'] = '在 %s (%s) 和 %s (%s) 之間發佈';
+$lang['posted on %s'] = '在 %s 發佈';
+$lang['return to normal view mode'] = '返回正常檢視模式';
+$lang['return to the display of all photos'] = '返回到顯示所有相片';
+$lang['small'] = 'S - 小';
+$lang['square'] = '方形';
+$lang['the beginning'] = '開始';
+$lang['the username must be given'] = '必須要有用戶名稱';
+$lang['this email address is already in use'] = '電郵地址已被使用';
+$lang['thumb'] = '縮圖';
+$lang['today'] = '今天';
+$lang['wrong date'] = '日期錯誤';
+$lang['xlarge'] = 'XL - 特大';
+$lang['xsmall'] = 'XL - 特小';
+$lang['xxlarge'] = 'XLL - 極大';
 ?>