Index: /extensions/ColorStat/language/de_DE/description.txt
===================================================================
--- /extensions/ColorStat/language/de_DE/description.txt	(revision 16871)
+++ /extensions/ColorStat/language/de_DE/description.txt	(revision 16871)
@@ -0,0 +1,1 @@
+Statistische Analyse und Erforschung der Farben
Index: /extensions/ColorStat/language/de_DE/index.php
===================================================================
--- /extensions/ColorStat/language/de_DE/index.php	(revision 16871)
+++ /extensions/ColorStat/language/de_DE/index.php	(revision 16871)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ColorStat/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/ColorStat/language/de_DE/plugin.lang.php	(revision 16871)
+++ /extensions/ColorStat/language/de_DE/plugin.lang.php	(revision 16871)
@@ -0,0 +1,61 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Grum Plugin Classes is not installed'] = 'Das Plugin <b>Grum Plugin Classes</b> ist nicht installiert';
+$lang['cstat_NumOfImages_help'] = 'Gibt die Anzahl der Bilder an, in denen Farbe vorhanden ist. <br> Dieser Prozentsatz bezieht sich auf die Anzahl der Bilder die analysiert werden.';
+$lang['cstat_NumOfImages'] = 'Anzahl der Bilder';
+$lang['cstat_NumOfPixels_help'] = 'Ergibt die Anzahl der Pixel, für die Farbe festgelegt ist. <br> Dieser Prozentsatz bezieht sich auf die Anzahl von Pixeln die analysiert werden und stellt die "Fläche" die auf allen Bildern belegt sind dar.';
+$lang['cstat_NumOfPixels'] = 'Anzahl der Pixel';
+$lang['cstat_Pct'] = '%';
+$lang['cstat_add_colors'] = 'Eine Auswahl von Farben hinzu fügen';
+$lang['cstat_analyze_all_pictures'] = 'Die Analyse umfasst alle Bilder in der Galerie, und ersetzt den aktuellen Aufbewahrungsort';
+$lang['cstat_analyze_caddie_add_pictures'] = 'Die Analyse konzentriert sich auf Bilder im Korb und fügt sie zum bestehenden Aufbewahrungsort hinzu';
+$lang['cstat_analyze_caddie_replace_pictures'] = 'Die Analyse konzentriert sich auf Bilder im Korb und ersetzt den aktuellen Aufbewahrungsort';
+$lang['cstat_analyze_in_progress'] = 'Analyse in arbeit';
+$lang['cstat_analyze_is_finished'] = 'Analyse komplett';
+$lang['cstat_analyze_not_analyzed_pictures'] = 'Die Analyse konzentriert sich auf die Bilder, die nie analysiert worden sind, und ergänzt den bestehenden Aufbewahrungsort';
+$lang['cstat_analyze'] = 'Analyse';
+$lang['cstat_apply'] = 'Anwenden';
+$lang['cstat_choosen_colors'] = 'Ausgewählte Farben';
+$lang['cstat_color_already_choosen'] = 'Diese Farbe ist schon in der Liste';
+$lang['cstat_color_size'] = 'Abmessungen';
+$lang['cstat_color'] = 'Farben';
+$lang['cstat_colors'] = 'Farben';
+$lang['cstat_config_plugin'] = 'Plugin konfigurieren';
+$lang['cstat_config'] = 'Konfiguration';
+$lang['cstat_gallery_display_colors'] = 'Zeige die Farben des Bildes';
+$lang['cstat_install'] = 'Installation';
+$lang['cstat_number_of_colors_used'] = 'Anzahl der benutzten Farben';
+$lang['cstat_ok'] = 'OK';
+$lang['cstat_quality_high'] = 'Hoch';
+$lang['cstat_quality_highest'] = 'Sehr hoch';
+$lang['cstat_quality_level'] = 'Qualität';
+$lang['cstat_quality_low'] = 'Niedrig';
+$lang['cstat_quality_lowest'] = 'Sehr niedrig';
+$lang['cstat_quality_normal'] = 'Normal';
+$lang['cstat_release'] = 'v';
+$lang['cstat_save_config'] = 'Konfiguration gespeichert';
+$lang['cstat_search_by_color'] = 'Nach Farben suchen ';
+$lang['cstat_search'] = 'Suchen';
+$lang['cstat_stat'] = 'Statistik';
+$lang['cstat_warning_on_analyze_0'] = 'Warnung !';
+?>