Index: extensions/FacebookPlug/Plugin/language/nl_NL/admin.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/nl_NL/admin.lang.php	(revision 16891)
+++ extensions/FacebookPlug/Plugin/language/nl_NL/admin.lang.php	(revision 16892)
@@ -24,15 +24,14 @@
 $lang['Activity feed'] = 'Activiteits feed';
 $lang['Activity'] = 'Activiteit';
-$lang['Add Facebook Piwigo application on footer'] = 'Voeg de Facebook Piwigo applicatie toe aan voettekst';
-$lang['Add Facebook Piwigo group on footer'] = 'Voeg de Facebook Piwigo groep toe aan voettekst';
-$lang['Add a icon link on each album page to share on Facebook'] = 'Voeg een icon link toe aan elke album pagina om te delen op Facebook';
-$lang['Add a icon link on each picture page to share on Facebook'] = 'Voeg een icon link toe aan elke afbeelding pagina om te delen op Facebook';
-$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Voeg een icon link toe aan elke afbeelding pagina om het te uploaden op Facebook';
-$lang['Add a link on each page footer'] = 'Voeg een link toe op elke pagina voettekst';
-$lang['Add a paragraph with Facebook link on about page'] = 'Voeg een paragraaf met Facebook link toe aan de \\'over\\' pagina
-';
-$lang['Add informations on about page'] = 'Voeg informatie toe aan de \\'over\\' pagina';
-$lang['Advanced'] = 'Uitgebreid';
-$lang['Always initialize Facebook'] = 'Initialiseer Facebook altijd';
+$lang['Add Facebook Piwigo application on footer'] = 'Voeg Facebook Piwigo applicatie toe aan de voettekst';
+$lang['Add Facebook Piwigo group on footer'] = 'Voeg Facebook Piwigo groep toe aan de voettekst';
+$lang['Add a icon link on each album page to share on Facebook'] = 'Voeg een pictogram-link toe aan elke album pagina om te delen op Facebook';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Voeg een pictogram link toe aan elke afbeeldings pagina om te delen op Facebook';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Voeg een pictogram link toe aan elke afbeeldings pagina om te uploaden op Facebook';
+$lang['Add a link on each page footer'] = 'Voeg een link toe aan elke pagina\'s voettekst';
+$lang['Add a paragraph with Facebook link on about page'] = 'Voeg een paragraaf met Facebook links toe aan de "Over" pagina';
+$lang['Add informations on about page'] = 'Voeg informatie toe aan de "Over" pagina';
+$lang['Advanced'] = 'Geavanceerd';
+$lang['Always initialize Facebook'] = 'Initializeer Facebook altijd';
 $lang['Asynchronous Facebook access'] = 'Asynchroon Facebook toegang';
 $lang['Buttons'] = 'Knoppen';
@@ -40,9 +39,13 @@
 $lang['Comments'] = 'Opmerkingen';
 $lang['Continue'] = 'Doorgaan';
-$lang['Data updated with error'] = 'Data geupdate met fout';
-$lang['Data updated with success'] = 'Data geupdate met succes';
+$lang['Data updated with error'] = 'Data geupdated met een fout';
+$lang['Data updated with success'] = 'Data succesvol geupdated';
 $lang['Develop by'] = 'Ontwikkeld door';
 $lang['Enabled'] = 'Ingeschakeld';
 $lang['Facebook Page URL'] = 'Facebook pagina URL';
 $lang['Height'] = 'Hoogte';
+$lang['Allow Facebook to see private page'] = 'Sta Facebook toe om prive-pagina\'s te zien';
+$lang['Layout style'] = 'Lay-out stijl';
+$lang['Like box'] = 'Vind ik leuk box';
+$lang['Like button'] = 'Vind ik leuk knop';
 ?>
Index: extensions/FacebookPlug/Plugin/language/nl_NL/common.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/nl_NL/common.lang.php	(revision 16892)
+++ extensions/FacebookPlug/Plugin/language/nl_NL/common.lang.php	(revision 16892)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Join Facebook Piwigo group'] = 'Wordt lid van de Facebook Piwigo groep';
+$lang['Share on Facebook'] = 'Deel op Facebook';
+$lang['Upload photo on Facebook'] = 'Upload een foto op Facebook';
+$lang['Via Facebook Piwigo application'] = 'Via Facebook Piwigo applicatie';
+?>
Index: extensions/FacebookPlug/Plugin/language/nl_NL/description.txt
===================================================================
--- extensions/FacebookPlug/Plugin/language/nl_NL/description.txt	(revision 16892)
+++ extensions/FacebookPlug/Plugin/language/nl_NL/description.txt	(revision 16892)
@@ -0,0 +1,1 @@
+Sluit je gallerij aan op Facebook