Index: /extensions/ColorStat/language/ru_RU/index.php
===================================================================
--- /extensions/ColorStat/language/ru_RU/index.php	(revision 16900)
+++ /extensions/ColorStat/language/ru_RU/index.php	(revision 16900)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ColorStat/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/ColorStat/language/ru_RU/plugin.lang.php	(revision 16900)
+++ /extensions/ColorStat/language/ru_RU/plugin.lang.php	(revision 16900)
@@ -0,0 +1,67 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Grum Plugin Classes is not installed'] = 'Плагин <b>Grum Plugin Classes</b> не установлен';
+$lang['cstat_NumOfImages'] = 'Количниство изображений';
+$lang['cstat_NumOfPixels'] = 'Количество ';
+$lang['cstat_Pct'] = '%';
+$lang['cstat_add_colors'] = 'Добавить выбор цветов';
+$lang['cstat_analyze_all_pictures'] = 'Анализ включает все изображения в галерее, и заменяет текущий репозиторий';
+$lang['cstat_analyze_caddie_add_pictures'] = 'Анализ фокусируется на изображениях в корзине, и добавляет к текущему репозиторию ';
+$lang['cstat_analyze_caddie_replace_pictures'] = 'Анализ фокусируется на изображениях в корзине, и заменяет текущий репозиторий';
+$lang['cstat_analyze_in_progress'] = 'Анализирую...';
+$lang['cstat_analyze_is_finished'] = 'Анализ выполнен';
+$lang['cstat_analyze_not_analyzed_pictures'] = 'Анализ фокусируется на изображениях, которые ни разу не анализировались, и добавляет к текущему репозиторию';
+$lang['cstat_analyze'] = 'Анализировать';
+$lang['cstat_apply'] = 'Применить';
+$lang['cstat_bench'] = 'Измеряю производительность';
+$lang['cstat_choose_colors'] = 'Цветовая панель';
+$lang['cstat_choosen_colors'] = 'Выбранные цвета';
+$lang['cstat_color_already_choosen'] = 'Цвет уже выбран в списке';
+$lang['cstat_color_size'] = 'Размеры';
+$lang['cstat_color'] = 'Цвет';
+$lang['cstat_colors_on_image'] = 'Цвета ассоциированы с изображением';
+$lang['cstat_colors'] = 'Цвета';
+$lang['cstat_config'] = 'Конфигурация';
+$lang['cstat_database'] = 'Репозиторий';
+$lang['cstat_display_colors_on_image'] = 'Посмотреть цвета, ассоциированные с изображением';
+$lang['cstat_do_benchmark'] = 'В зависимости от производительности сервера анализ изображений галлереи может занять значительное или не очень время.
+<br>
+Можно настроить плагин так, чтобы увеличить скорость анализа в ущерб качеству, или, наоборот, ориентируясь на качество анализа понизить скорость.<br>
+
+Индикация отражает производительность вычислений в данный момент времени, которая может варьироваться в зависимости от нагрузки на сервер: расчетное время операции дано ориентировочно и может незначительно отличаться, в зависимости от имеющихся ресурсов.';
+$lang['cstat_estimated_time_all_pictures'] = 'Расчетное время для всех изображений';
+$lang['cstat_estimated_time_one_picture'] = 'Расчетное время для всех изображений';
+$lang['cstat_gallery_display_colors'] = 'Отобразить цвета изображения';
+$lang['cstat_gallery_integration'] = 'Интерация в галерее';
+$lang['cstat_gpc_not_up_to_date'] = 'Требуется версия %s плагина <i>Grum Plugin Classes</i>.';
+$lang['cstat_help_large_color_table'] = 'Обрабатка широкой гаммы цветов может привести к увеличению числа классов каждого цвета. Это несет в себе преимущество - позволяет делать более точные запросы по цветовой гамме, и тем самым повысить релевантность результатов.
+
+В свою очередь, для изображения преимущественно с одним или двумя оттенками это снизит возможность указывать на тот или иной цвет.';
+$lang['cstat_help_small_color_table'] = 'Работа с ограниченной цветовой гаммой повышает вероятность указать тон. Это дает преимущество и позволяет на искать по более широкому диапазону цветов.
+
+С другой стороны, вариативность оттенков меньше и релевантность  результатов поиска по определенному цвету может быть затруднительной.';
+$lang['cstat_images'] = 'изображении';
+$lang['cstat_install'] = 'Установка';
+$lang['cstat_large_colortable'] = 'Расширенный диапазон';
+$lang['cstat_loading'] = 'Загрузка....';
+?>