Index: /extensions/FacebookPlug/Plugin/language/tr_TR/about.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/tr_TR/about.lang.php	(revision 16902)
+++ /extensions/FacebookPlug/Plugin/language/tr_TR/about.lang.php	(revision 16902)
@@ -0,0 +1,26 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Piwigo application'] = 'Piwigo uygulaması';
+$lang['Piwigo group'] = 'Piwigo grubu';
+$lang['Visit Piwigo on Facebook website:'] = 'Facebook Piwigo sayfasını ziyaret et:';
+?>
Index: /extensions/FacebookPlug/Plugin/language/tr_TR/admin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/tr_TR/admin.lang.php	(revision 16902)
+++ /extensions/FacebookPlug/Plugin/language/tr_TR/admin.lang.php	(revision 16902)
@@ -0,0 +1,89 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang[' (?)'] = '(?)';
+$lang['Activity feed'] = 'Etkinlik beslemesi';
+$lang['Activity'] = 'Etkinlik';
+$lang['Add Facebook Piwigo application on footer'] = 'Facebook Piwigo uygulamasını alt indekse ekle';
+$lang['Add Facebook Piwigo group on footer'] = 'Facebook Piwigo grubunu alt indekse ekle';
+$lang['Add a icon link on each album page to share on Facebook'] = 'Facebook\'ta paylaşmak için her albüm sayfasına ikonlu bağlantı ekle';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Facebook\'ta paylaşmak için her resim sayfasına ikonlu bağlantı ekle';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Facebook\'a resim yüklemek için her resim sayfasına ikonlu bağlantı ekle';
+$lang['Add a link on each page footer'] = 'Her sayfanın alt indeksine bağlantı ekle';
+$lang['Add a paragraph with Facebook link on about page'] = 'Hakkında sayfasına Facebook bağlantısı ile birlikte paragraf ekle';
+$lang['Add informations on about page'] = 'Hakkında sayfasına bilgi ekle';
+$lang['Advanced'] = 'Gelişmiş';
+$lang['Allow Facebook to see private page'] = 'Facebook\'un özel sayfaları görmesine izin ver';
+$lang['Always initialize Facebook'] = 'Facebook\'u her zaman başlat';
+$lang['Asynchronous Facebook access'] = 'Asenkron Facebook erişimi';
+$lang['Buttons'] = 'Butonlar';
+$lang['Color scheme'] = 'Renk düzeni';
+$lang['Comments'] = 'Yorumlar';
+$lang['Continue'] = 'Devam et';
+$lang['Data updated with error'] = 'Veri güncellendi - hata var';
+$lang['Data updated with success'] = 'Veri başarıyla güncellendi';
+$lang['Develop by'] = 'Geliştiren';
+$lang['Enabled'] = 'Etkinleştirildi';
+$lang['Facebook Page URL'] = 'Facebook sayfası URL';
+$lang['Facebook application identifient'] = 'Facebook uygulaması tespit edildi';
+$lang['Facepile'] = 'Facepile';
+$lang['Height'] = 'Yükseklik';
+$lang['Informations'] = 'Bilgiler';
+$lang['Layout style'] = 'Görünüm tipi';
+$lang['Like box'] = 'Beğen kutusu';
+$lang['Like button and comments cannot be enabled together'] = 'Beğen butonu ve yorumlar birlikte etkinleştirilemez';
+$lang['Like button'] = 'Beğen butonu';
+$lang['Num posts'] = 'Gönderi sayısı';
+$lang['Num rows'] = 'Satır sayısı';
+$lang['On menu of main pages'] = 'Ana sayfaların menüsünde';
+$lang['On picture pages'] = 'Resim sayfalarında';
+$lang['Options'] = 'Seçenekler';
+$lang['Other options are available by programming'] = 'Diğer seçenekler programlama ile kullanılabilir';
+$lang['Picture URL type'] = 'Resim URL tipi';
+$lang['Promote'] = 'Destekle';
+$lang['Publish feed'] = 'Beslemeyi yayınla';
+$lang['Reverse'] = 'Karşıt';
+$lang['Share album page'] = 'Albüm sayfasını paylaş';
+$lang['Share picture page'] = 'Resim sayfasını paylaş';
+$lang['Share'] = 'Paylaş';
+$lang['Show faces'] = 'Yüzleri göster';
+$lang['Show header'] = 'Başlığı göster';
+$lang['Show recommendations'] = 'Tavsiyeleri göster';
+$lang['Show stream'] = 'Akışı göster';
+$lang['Simple'] = 'Basit';
+$lang['Social plugins'] = 'Sosyal eklentiler';
+$lang['Title'] = 'İsim';
+$lang['Upload picture'] = 'Resim yükle';
+$lang['Upload'] = 'Yükle';
+$lang['Verb to display'] = 'Görüntülenecek fiil';
+$lang['box_count'] = 'box_count';
+$lang['button_count'] = 'button_count';
+$lang['dark'] = 'koyu';
+$lang['enabled values are restored'] = 'etkin değerler geri alındı';
+$lang['image'] = 'resim';
+$lang['light'] = 'açık';
+$lang['like'] = 'beğen';
+$lang['on slideshow pages'] = 'slayt gösterim sayfalarında';
+$lang['page'] = 'sayfa';
+$lang['recommend'] = 'tasiye et';
+$lang['standard'] = 'standart';
+?>
Index: /extensions/FacebookPlug/Plugin/language/tr_TR/common.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/tr_TR/common.lang.php	(revision 16902)
+++ /extensions/FacebookPlug/Plugin/language/tr_TR/common.lang.php	(revision 16902)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Join Facebook Piwigo group'] = 'Facebook Piwigo grubuna katılın';
+$lang['Share on Facebook'] = 'Facebook\'ta paylaş';
+$lang['Upload photo on Facebook'] = 'Facebook\'a fotoğraf aktar';
+$lang['Via Facebook Piwigo application'] = 'Facebook Piwigo uygulaması aracılığıyla';
+?>
Index: /extensions/FacebookPlug/Plugin/language/tr_TR/description.txt
===================================================================
--- /extensions/FacebookPlug/Plugin/language/tr_TR/description.txt	(revision 16902)
+++ /extensions/FacebookPlug/Plugin/language/tr_TR/description.txt	(revision 16902)
@@ -0,0 +1,1 @@
+Galerinizi Facebook'a bağlayın
Index: /extensions/FacebookPlug/Plugin/language/tr_TR/index.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/tr_TR/index.php	(revision 16902)
+++ /extensions/FacebookPlug/Plugin/language/tr_TR/index.php	(revision 16902)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>