Index: /extensions/charlies_content/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/lv_LV/plugin.lang.php	(revision 16903)
+++ /extensions/charlies_content/language/lv_LV/plugin.lang.php	(revision 16904)
@@ -3,146 +3,153 @@
 //File charlies_config.php
 
-$lang['Templates configuration'] = 'Parauga konfiguracija';
-$lang['Players options'] = 'Atskanotaja iespejas';
-$lang['Players colors'] = 'Atskanotaja krasas';
-$lang['Curtain selection'] = 'Aizsega izvele';
-$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Izveletais platums ir arpus diapazona (Korektais diapazons: 90-1024)';
-$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Izveletais augstums ir arpus diapazona (Korektais diapazons: 90-1024)';
-$lang['Default width is out of range (Correct range: 90-1024)'] = 'Platums pec noklusejuma ir arpus diapazona (Korektais diapazons: 90-1024)';
-$lang['Default height is out of range (Correct range: 90-1024)'] = 'Augstums pec noklusejuma ir arpus diapazona (Korektais diapazons: 90-1024)';
-$lang['Volume is out of range (Correct range: 0-200)'] = 'Skalums ir arpus diapazona (Korektais diapazons: 0-200)';
-$lang['Unknown file (Start image)'] = 'Nezinams fails (Ievadattels)';
-$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = ' Nezinams fails vai URL|x|y kluda (x un y jabut cipariem)';
-$lang['Title font size is out of range (Correct range: 12-72)'] = 'Virsraksta fonta izmers ir arpus diapazona (Korektais diapazons: 12-72)';
-$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Atskanotaja ikonas caurspidigums ir arpus diapazona (Korektais diapazons: 0-100)';
+$lang['Templates configuration'] = 'Parauga konfigurÄcija';
+$lang['Players options'] = 'AtskaÅotÄja opcijas';
+$lang['Players colors'] = 'AtskaÅotÄja krÄsas';
+$lang['Curtain selection'] = 'Aizsega izvÄle';
+$lang['Forced width is out of range (Correct range: 90-1024)'] = 'IzvÄlÄtais platums ir Ärpus diapazona (Korektais diapazons: 90-1024)';
+$lang['Forced height is out of range (Correct range: 90-1024)'] = 'IzvÄlÄtais augstums ir Ärpus diapazona (Korektais diapazons: 90-1024)';
+$lang['Default width is out of range (Correct range: 90-1024)'] = 'Platums pÄc noklusÄjuma ir Ärpus diapazona (Korektais diapazons: 90-1024)';
+$lang['Default height is out of range (Correct range: 90-1024)'] = 'Augstums pÄc noklusÄjuma ir Ärpus diapazona (Korektais diapazons: 90-1024)';
+$lang['Volume is out of range (Correct range: 0-200)'] = 'SkaÄ¼ums ir Ärpus diapazona (Korektais diapazons: 0-200)';
+$lang['Unknown file (Start image)'] = 'NezinÄms fails (Starta attÄls)';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = ' NezinÄms fails vai URL|x|y kÄ¼Å«da (x un y jÄbÅ«t cipariem)';
+$lang['Title font size is out of range (Correct range: 12-72)'] = 'Virsraksta fonta izmÄrs ir Ärpus diapazona (Korektais diapazons: 12-72)';
+$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'AtskaÅotÄja ikonas caurspÄ«dÄ«gums ir Ärpus diapazona (Korektais diapazons: 0-100)';
 $lang['Margin is out of range (Correct range: 0-40)'] = 'Malas ir arpus diapazona (Korektais diapazons: 0-40)';
-$lang['Unknown file (skin)'] = 'Nezinams fails (ieterps)';
-$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Auto paslepanas kavejums ir arpus diapazona (Korektais diapazons: 0-9999)';
-$lang['Player transparency is out of range (Correct range: 0-100)'] = 'Atskanotaja caurspidigums ir arpus diapazona (Korektais diapazons: 0-100)';
-$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Subtitru fonta izmers ir arpus diapazona (Korektais diapazons: 8-24)';
+$lang['Unknown file (skin)'] = 'NezinÄms fails (ietÄrps)';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Auto paslÄpÅ¡Âanas kavÅ¡jums ir Å¡rpus diapazona (Korektais diapazons: 0-9999)';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'AtskaÅotÄja caurspÄ«dÄ«gums ir Ärpus diapazona (Korektais diapazons: 0-100)';
+$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Subtitru fonta izmÄrs ir Ärpus diapazona (Korektais diapazons: 8-24)';
 $lang['Wrong filename or file not found (Subtitles file)'] = 'Nekorekts faila nosaukums vai fails nav atrasts (Subtitru fails)';
-$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Nekorekts faila nosaukums. RTMP (Reala Laika Zinojumu Protokols) ir uz TCP bazets, Adobe System radits, piemeroanas protokols Audio/Video datu straumeanai starp Flash Player un media serveri.';
-$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Kludains krasas kods: 3 vai 6 hexadecimalas rakstu zimes, kam sakuma "#"';
-$lang['Your configuration is NOT saved due to above reasons.'] = 'Jusu konfiguracija NAV saglabata del augstak minetiem iemesliem.';
-$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Jus esat Konsultants un Jums nav atlauts izmanit o konfiguraciju.';
-$lang['Your configuration is saved.'] = 'Jusu konfiguracija ir saglabata.';
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'KÄ¼Å«dains krÄsas kods: 3 vai 6 hexadecimalas rakstu zimes, kam sakuma "#"';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'JÅ«su konfigurÄcija NAV saglabÄta dÄÄ¼ augstÄk minÄtiem iemesliem.';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'JÅ«s esat Konsultants un Jums nav atÄ¼auts izmainÄ«t ÂÅ¡o konfigurÄciju.';
+$lang['Your configuration is saved.'] = 'JÅ«su konfigurÄcija ir saglabÄta.';
 
 //File charlies_config.tpl
-$lang['Save Charlies\' configuration'] = 'Saglabat Carlija konfiguraciju';
+$lang['Save Charlies\' configuration'] = 'SaglabÄt Äarlija konfigurÄciju';
 $lang['On'] = 'Ieslegts';
 $lang['Off'] = 'Izslegts';
 //tab1 : templates
-$lang['Charlies player template-mimetype association'] = 'Carlija atskanotaja paraugveidnes-mime tipa asociacija';
-$lang['Bind your prefered extensions to a template file (player) from:'] = 'Sasaistit jusu izveletos paplainajumus ar paraugveidnes failu (atskanotaju) no:';
-$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Piezime: is iespejas ir pieejamas kopa ar Maxi FLV Atskanotaju. Vairak detalu par visam im opcijam:';
+$lang['Charlies player template-mimetype association'] = 'Äarlija atskaÅotÄja paraugveidnes-mime tipa asociÄcija';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'SasaistÄ«t jÅ«su izvÄlÄtos paplaÂÅ¡inÄjumus ar paraugveidnes failu (atskaÅotÄju) no:';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Piezime: Âis iespejas ir pieejamas kopa ar Maxi FLV Atskanotaju. Vairak detalu par visam Âim opcijam:';
 //tab2 : options
-$lang['Charlies players configuration'] = 'Carlija atskanotaja konfiguracija';
-$lang['General options'] = 'Visparejas opcijas';
-$lang['Buffering'] = 'Bufereana';
-$lang['Config by element'] = 'Konfigurets pec elementa';
-$lang['Skin'] = 'Ieterps';
-$lang['Titleling'] = 'Virsrakstiana';
-$lang['Subtitleling'] = 'Subtitleana';
-$lang['Player and Buttons'] = 'Atskanotajs un Pogas';
-$lang['Miscellaneous'] = 'Daadi';
+$lang['Charlies players configuration'] = 'Äarlija atskaÅotÄja konfigurÄcija';
+$lang['General options'] = 'VispÄrÄjÄs opcijas';
+$lang['Buffering'] = 'BufereÄÅ¡ana';
+$lang['Config by element'] = 'KonfigurÄts pec elementa';
+$lang['Skin'] = 'IetÄrps';
+$lang['Titleling'] = 'VirsrakstÄ«Å¡Âana';
+$lang['Subtitleling'] = 'SubtitrÄÅ¡ana';
+$lang['Player and Buttons'] = 'AtskaÅotÄjs un Pogas';
+$lang['Miscellaneous'] = 'DaÂadi';
 //tab2 : options -> subtab1 : General options
-$lang['Autoload'] = 'Autoielade';
-$lang['Display first picture'] = 'Radit pirmo attelu';
-$lang['Autoplay'] = 'Autoatskanoana';
+$lang['Autoload'] = 'AutoielÄde';
+$lang['Display first picture'] = 'RÄdÄ«t pirmo attÄlu';
+$lang['Autoplay'] = 'AutoatskaÅoÅ¡Âana';
 $lang['Loop'] = 'Cilpa';
-$lang['Fullscreen'] = 'Pilns ekrans';
-$lang['Flash Player 9.0.16.60 or above is required.'] = 'Vajadzigs 9.0.16.60 vai austak minetais Flash Atskanotajs.';
+$lang['Fullscreen'] = 'Pilns ekrÄns';
+$lang['Flash Player 9.0.16.60 or above is required.'] = 'VajadzÄ«gs vismaz 9.0.16.60 Flash Atskanotajs.';
 $lang['Forced video width'] = 'Piespiedu video platums';
 $lang['Forced video height'] = 'Piespiedu video augstums';
-$lang['Video default width'] = 'Video platums pec noklusejuma';
-$lang['Video default height'] = 'Video augstums pec noklusejuma';
+$lang['Video default width'] = 'Video platums pec noklusÄjuma';
+$lang['Video default height'] = 'Video augstums pÄc noklusÄjuma';
 $lang['Volume [0-200]'] = 'Skalums [0-200]';
 $lang['Onclick URL'] = 'Onklik URL';
-$lang['or fullscreen or playpause or none'] = 'vai pilnekrana vai spelpauze vai neviens';
-$lang['_blank'] = '_tuks';
+$lang['or fullscreen or playpause or none'] = 'vai pilnekrÄna vai spÄlpauze vai nekas';
+$lang['_blank'] = '_tukÂÅ¡s';
 $lang['_self'] = '_pats';
 //tab2 : options -> subtab2 : Buffering
-$lang['Video buffer size in seconds'] = 'Video bufera izmers sekundes';
-$lang['Default 5 seconds'] = 'Pec noklusejuma 5 sekundes';
-$lang['Video buffer percent message'] = 'Video bufera procentzinojums';
-$lang['Buffering _n_'] = 'Buferet _n_';
+$lang['Video buffer size in seconds'] = 'Video bufera izmÄrs sekundÄs';
+$lang['Default 5 seconds'] = 'Äec noklusÄjuma 5 sekundes';
+$lang['Video buffer percent message'] = 'Video bufera procentziÅojums';
+$lang['Buffering _n_'] = 'BuferÄt _n_';
 $lang['Video buffer background'] = 'Video bufera fons';
 //tab2 : options -> subtab3 : Config by element
-$lang['Use existing .txt to config'] = 'Lietot esoo .txt failu konfigureanai';
-$lang['Filename.txt might be use as config.txt file'] = 'Failanosaukums.txt var tikt lietots
-ka config.txt fails';
-$lang['Use existing .xml to config'] = 'Lietot esoo .xml failu konfigureanai';
-$lang['Filename.xml might be use as config.xml file'] = 'Failanosaukums.txt var tikt lietots ka config.xml fails';
+$lang['Use existing .txt to config'] = 'Lietot esoÅ¡Âo .txt failu konfigurÄÅ¡Âanai';
+$lang['Filename.txt might be use as config.txt file'] = 'Failnosaukums.txt var tikt lietots
+kÄ config.txt fails';
+$lang['Use existing .xml to config'] = 'Lietot esoÂÅ¡o .xml failu konfigurÄÅ¡Âanai';
+$lang['Filename.xml might be use as config.xml file'] = 'Failnosaukums.txt var tikt lietots kÄ config.xml fails';
 //tab2 : options -> subtab4 : Skin
-$lang['Margin for skin'] = 'Malina ieterpam';
-$lang['Skin image'] = 'Ieterpa attels';
-$lang['(URL of a non progressive jpg)'] = '(neprogresiva jpg URL)';
+$lang['Margin for skin'] = 'MaliÅa ietÄrpam';
+$lang['Skin image'] = 'IetÄrpa attÄls';
+$lang['(URL of a non progressive jpg)'] = '(neprogresÄ«va jpg URL)';
 //tab2 : options -> subtab5 : Titleling
 $lang['Title'] = 'Virsraksts';
 $lang['Title font size [12-72]'] = 'Virsraksta fonta izmers [12-72]';
-$lang['Default size might be 20.'] = 'Izmeram pec noklusejuma jabut 20.';
-$lang['Start image'] = 'Ievada attels';
-$lang['Title and start picture'] = 'Virsraksts un ievadattels';
-$lang['Play icon in middle'] = 'Atskanoanas ikona vidu';
+$lang['Default size might be 20.'] = 'IzmÄram pÄc noklusÄjuma jÄbut 20.';
+$lang['Start image'] = 'Starta attÄls';
+$lang['Title and start picture'] = 'Virsraksts un starta attÄls';
+$lang['Play icon in middle'] = 'AtskaÅoÅ¡Âanas ikona vidÅ«';
 $lang['Play icon transparency [0-100]'] = 'Atskanoanas ikonas caurspidigums [0-100]';
 $lang['Load an image over video'] = 'Ieladet attelu virs video';
-$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y : kur x,y ir ofsets attela izvietoanai)';
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y : kur x,y ir ofsets attÄla izvietoÅ¡Âanai)';
 //tab2 : options -> subtab6 : Subtitleling
 $lang['Use subtitles'] = 'Lietot subtitrus';
-$lang['Filename.srt might be use for captioning'] = 'Failanosaukums.srt varetu tikt izmantots aizguanai';
+$lang['Filename.srt might be use for captioning'] = 'Failanosaukums.srt varetu tikt izmantots aizguÂanai';
 $lang['Subtitles font size [8-24]'] = 'Subtitru fonta izmers [8-24]';
-$lang['Default size might be 11.'] = 'Izmeram pec nokluseanas jabut 11.';
+$lang['Default size might be 11.'] = 'IzmÄram pÄc noklusÄjuma jÄbut 11.';
 $lang['Subtitles file URL'] = 'Subtitru faila URL';
 $lang['URL of .srt'] = '.srt URL';
 //tab2 : options -> subtab7 : Player and Buttons
-$lang['Show player'] = 'Radit atskanotaju';
-$lang['Autohide'] = 'Autopaslept';
-$lang['Always'] = 'Vienmer';
+$lang['Show player'] = 'RÄdÄ«t atskaÅotÄju';
+$lang['Autohide'] = 'AutopaslÄpt';
+$lang['Always'] = 'VienmÄr';
 $lang['Never'] = 'Nekad';
-$lang['Show loading'] = 'Radit ieladi';
-$lang['Show mouse'] = 'Radit peli';
-$lang['Show time'] = 'Radit laiku';
+$lang['Show loading'] = 'RÄdÄ«t ielÄdi';
+$lang['Show mouse'] = 'RÄdÄ«t peli';
+$lang['Show time'] = 'RÄdÄ«t laiku';
 $lang['Time left'] = 'Laiks atlicis';
 $lang['Player transparency [0-100]'] = 'Atskanotaja caurspidigums [0-100]';
 $lang['Autohide delay [0-9999]'] = 'Autoslepanas kavejums [0-9999]';
-$lang['Default 1500 milliseconds.'] = 'Pec noklusejuma 1500 milisekundes.';
-$lang['Show stop button'] = 'Radit stop pogu';
-$lang['Show volume'] = 'Radit skalumu';
+$lang['Default 1500 milliseconds.'] = 'PÄc noklusÄjuma 1500 milisekundes.';
+$lang['Show stop button'] = 'RÄdÄ«t stop pogu';
+$lang['Show volume'] = 'RÄdÄ«t skaÄ¼umu';
 
-$lang['Show subtitles switch'] = 'Radit subtitru sledzi';
-$lang['Stop stops loading'] = 'Stop aptur ladeanu';
-$lang['Keyboard shortcuts'] = 'Tautstiniscel';
+$lang['Show subtitles switch'] = 'RÄdÄ«t subtitru slÄdzi';
+$lang['Stop stops loading'] = 'Ar Stop aptur lÄdÄÅ¡Âanu';
+$lang['Keyboard shortcuts'] = 'TautstiniscelÂ';
 //tab2 : options -> subtab8 : Miscellaneous
-$lang['PHP streaming'] = 'PHP straumeana';
+$lang['PHP streaming'] = 'PHP straumeÂana';
 $lang['RTMP server URL'] = 'RTMP servera URL';
-$lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems priek audio, video un datu straumeanas)';
-$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'FYI: visas is iespejas ir lietojamas vai NAV lietojamas ar iebuveto atskanotaju (paraugu) (template).';
-$lang['Reset ALL Charlies\' configuration'] = 'Atjaunot (Reset) VISU Carlija konfiguraciju ';
-$lang['Reset ALL Confirmation'] = 'Atjaunot (Reset) VISUS Apstiprinajumus';
+$lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems priekÅ¡Â audio, video un datu straumÄÅ¡Âanas)';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'FYI: visas Âis iespejas ir lietojamas vai NAV lietojamas ar iebuveto atskanotaju (paraugu) (template).';
+$lang['Reset ALL Charlies\' configuration'] = 'Atjaunot (Reset) VISU Äarlija konfigurÄciju ';
+$lang['Reset ALL Confirmation'] = 'Atjaunot (Reset) VISUS ApstiprinÄjumus';
 
 //Tab3 : colors
-$lang['Players colours selection'] = 'Atskanotaja krasu izvele';
+$lang['Players colours selection'] = 'AtskaÅotÄja krÄsu izvÄle';
 $lang['Background'] = 'Fons';
 $lang['Subtitles background'] = 'Subtitru fons';
-$lang['Top border fading'] = 'Augejas robeas sapludums';
-$lang['Player'] = 'Atskanotajs';
-$lang['Bottom border fading'] = 'Apakejas robeas sapludums';
-$lang['Loading bar'] = 'Ladeanas josla';
-$lang['Player buttons'] = 'Atskanotaja pogas';
+$lang['Top border fading'] = 'AugÂÅ¡ÄjÄs robeÂÅ¾as saplÅ«dums';
+$lang['Player'] = 'AtskaÅotÄjs';
+$lang['Bottom border fading'] = 'ApakÂÅ¡ÄjÄs robeÂÅ¾as saplÅ«dums';
+$lang['Loading bar'] = 'LÄdÄÅ¡anas josla';
+$lang['Player buttons'] = 'AtskaÅotÄja pogas';
 $lang['Leftbar gradient fading'] = 'Kreisas joslas gradients sapludums';
 $lang['Hover player buttons'] = 'Hover atskanotaja pogas';
-$lang['Rightbar gradient fading'] = 'Labas joslas gradients sapludums';
+$lang['Rightbar gradient fading'] = 'LabÄs joslas gradientsaplÅ«dums';
 $lang['Buffer'] = 'Buferis';
 $lang['Hover bar gradient'] = 'Hover joslas gradients';
 $lang['Buffer background'] = 'Fona buferis';
-$lang['Play icon'] = 'Atskanoanas ikona';
+$lang['Play icon'] = 'AtskanoÂanas ikona';
 $lang['Title'] = 'Virsraksts';
-$lang['Play icon background'] = 'Atskanoanas ikonas fons';
+$lang['Play icon background'] = 'AtskanoÂanas ikonas fons';
 $lang['Subtitles'] = 'Subtitri';
-$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Krasu lietoana varetu but tikai informativa (Atskanotaji to var ignoret vai lietot atkirigi)';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'KrÄsu lietoÅ¡Âana varÄtu bÅ«t tikai informatÄ«va (AtskaÅotÄji to var ignorÄt vai lietot atÂÅ¡Ä·irÄ«gi)';
 
 //Tab4 : curtain
-$lang['Active curtains'] = 'Aktivie aizkari';
-$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = 'rekomendeti .png bez caurspidiguma. Varat nomainit aizkaru komplektu ar savejiem.';
+$lang['Active curtains'] = 'AktÄ«vie aizkari';
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = 'rekomendÄti .png bez caurspÄ«dÄ«guma. Varat nomainÄ«t aizkaru komplektu ar savÄjiem.';
 
+$lang['Autohide delay ']['0-9999'] = 'AutoslÄpÅ¡Âanas kavÄjums [0-9999]';
+$lang['Play icon transparency ']['0-100'] = 'AtskaÅoÅ¡Âanas ikonas caurspÄ«dÄ«gums [0-100]';
+$lang['Player transparency ']['0-100'] = 'AtskaÅotÄja caurspÄ«dÄ«gums [0-100]';
+$lang['Subtitles font size ']['8-24'] = 'Subtitru fonta izmÄrs [8-24]';
+$lang['Title font size ']['12-72'] = 'Virsraksta fonta izmÄrs [12-72]';
+$lang['Volume ']['0-200'] = 'SkaÄ¼ums [0-200]';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
+    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'KÄ¼Å«dains faila nosaukums. RTMP (ReÄlÄ laika ZiÅapmaiÅas protokols) ir uz TCP bazÄts protokols, ko Adobe Systems izstrÄdÄjis Audio/Video datu straumÄÅ¡anai starp Flash Player and media serveri.';
 ?>