Index: /extensions/Shadogo/trunk/language/ru_RU/index.php
===================================================================
--- /extensions/Shadogo/trunk/language/ru_RU/index.php	(revision 16921)
+++ /extensions/Shadogo/trunk/language/ru_RU/index.php	(revision 16921)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Shadogo/trunk/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Shadogo/trunk/language/ru_RU/plugin.lang.php	(revision 16921)
+++ /extensions/Shadogo/trunk/language/ru_RU/plugin.lang.php	(revision 16921)
@@ -0,0 +1,56 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['shadogo_cancel'] = 'Отмена';
+$lang['shadogo_content'] = 'Смотреть контент';
+$lang['shadogo_display_expert_params'] = 'Показать экспертные параметры';
+$lang['shadogo_hdcontent_config'] = 'Настройка контента высокого разрешения';
+$lang['shadogo_hdcontent_inoverlay'] = 'Отображение контента высокого разрешения в наложенном окне';
+$lang['shadogo_hdcontent_pattern'] = 'Узор контента высокого разрешения';
+$lang['shadogo_hdcontent_replacement'] = 'Замена кода высокого разрешения';
+$lang['shadogo_mediafile_pattern'] = 'Узор медиа-файла';
+$lang['shadogo_mediaplayer_config'] = 'Конфигурация медиаплеера';
+$lang['shadogo_mediaplayer_content'] = 'Показать плеер на странице содержимого';
+$lang['shadogo_note_warm_restore'] = 'Пожалуйста, не забудьте сохранить восстановленные конфигурации.';
+$lang['shadogo_overlay_addtobasket'] = 'Включить управление корзиной';
+$lang['shadogo_overlay_config'] = 'Конфигурация наложения окна';
+$lang['shadogo_overlay_download'] = 'Включить загрузку HD картинки';
+$lang['shadogo_overlay_favorites'] = 'Включить управление избранным';
+$lang['shadogo_overlay_hdpicture'] = 'Включить отображение картинки HD';
+$lang['shadogo_overlaylibs'] = 'Выберите модальную библиотеку наложения';
+$lang['shadogo_overlaythemes'] = 'Тема наложения окна';
+$lang['shadogo_play'] = 'Играть';
+$lang['shadogo_restore'] = 'Восстановить значения по умолчанию';
+$lang['shadogo_save'] = 'Сохранить';
+$lang['shadogo_slideshow_config'] = 'Конфигурация слайд-шоу';
+$lang['shadogo_slideshow_inoverlay'] = 'Показать слайд-шоу в наложенном окне';
+$lang['shadogo_slideshow_pattern'] = 'Узор слайд-шоу';
+$lang['shadogo_slideshow_replacement'] = 'Замена кода слайд-шоу';
+$lang['shadogo_thumbnail_buttons_search'] = 'Шаблон кода замены содержимого файла thumbnail_shadogo_buttons.tpl';
+$lang['shadogo_thumbnail_config'] = 'Конфигурация миниатюр';
+$lang['shadogo_thumbnail_content_icon'] = 'Показать значок содержимго в легенде';
+$lang['shadogo_thumbnail_content_inoverlay'] = 'Показать содержание миниатюр в наложенном окне';
+$lang['shadogo_thumbnail_contentpage_inoverlay'] = 'Показать содержимое страницы в наложенном окне';
+$lang['shadogo_thumbnail_hrefcontent_search'] = 'Шаблон кода замены содержимого файла thumbnail_shadogo_content.tpl';
+$lang['shadogo_thumbnail_label'] = 'Показать миниатюру метки';
+$lang['shadogo_thumbnail_player_icon'] = 'Показать значок плеера в легенде';
+?>