Index: /branches/2.4/admin/album.php
===================================================================
--- /branches/2.4/admin/album.php	(revision 16925)
+++ /branches/2.4/admin/album.php	(revision 16926)
@@ -63,4 +63,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('album');
 $tabsheet->add('properties', l10n('Properties'), $admin_album_base_url.'-properties');
 $tabsheet->add('sort_order', l10n('Manage photo ranks'), $admin_album_base_url.'-sort_order');
Index: /branches/2.4/admin/batch_manager.php
===================================================================
--- /branches/2.4/admin/batch_manager.php	(revision 16925)
+++ /branches/2.4/admin/batch_manager.php	(revision 16926)
@@ -380,4 +380,5 @@
 {
   $tabsheet = new tabsheet();
+  $tabsheet->set_id('batch_manager');
   foreach ($tabs as $tab)
   {
Index: /branches/2.4/admin/cat_options.php
===================================================================
--- /branches/2.4/admin/cat_options.php	(revision 16925)
+++ /branches/2.4/admin/cat_options.php	(revision 16926)
@@ -139,4 +139,5 @@
 // TabSheet
 $tabsheet = new tabsheet();
+$tabsheet->set_id('cat_options');
 // TabSheet initialization
 $opt_link = $link_start.'cat_options&amp;section=';
Index: /branches/2.4/admin/comments.php
===================================================================
--- /branches/2.4/admin/comments.php	(revision 16925)
+++ /branches/2.4/admin/comments.php	(revision 16926)
@@ -99,4 +99,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('comments');
 $tabsheet->add('', l10n('User comments validation'), '');
 $tabsheet->select('');
Index: /branches/2.4/admin/configuration.php
===================================================================
--- /branches/2.4/admin/configuration.php	(revision 16925)
+++ /branches/2.4/admin/configuration.php	(revision 16926)
@@ -287,4 +287,5 @@
 // TabSheet
 $tabsheet = new tabsheet();
+$tabsheet->set_id('configuration');
 // TabSheet initialization
 $tabsheet->add('main', l10n('Main'), $conf_link.'main');
Index: /branches/2.4/admin/help.php
===================================================================
--- /branches/2.4/admin/help.php	(revision 16925)
+++ /branches/2.4/admin/help.php	(revision 16926)
@@ -66,4 +66,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('help');
 foreach ($tabs as $tab)
 {
Index: /branches/2.4/admin/include/albums_tab.inc.php
===================================================================
--- /branches/2.4/admin/include/albums_tab.inc.php	(revision 16925)
+++ /branches/2.4/admin/include/albums_tab.inc.php	(revision 16926)
@@ -27,4 +27,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('cat_list');
 $tabsheet->add('list', l10n('List'), $my_base_url.'cat_list');
 $tabsheet->add('move', l10n('Move'), $my_base_url.'cat_move');
Index: /branches/2.4/admin/include/functions_history.inc.php
===================================================================
--- /branches/2.4/admin/include/functions_history.inc.php	(revision 16925)
+++ /branches/2.4/admin/include/functions_history.inc.php	(revision 16926)
@@ -30,4 +30,5 @@
   // TabSheet
   $tabsheet = new tabsheet();
+  $tabsheet->set_id('history');
   // TabSheet initialization
   $tabsheet->add('stats', l10n('Statistics'), $link_start.'stats');
Index: /branches/2.4/admin/include/tabsheet.class.php
===================================================================
--- /branches/2.4/admin/include/tabsheet.class.php	(revision 16925)
+++ /branches/2.4/admin/include/tabsheet.class.php	(revision 16926)
@@ -25,4 +25,5 @@
 {
   var $sheets;
+  var $uniqid;
   var $name;
   var $titlename;
@@ -36,7 +37,13 @@
   {
     $this->sheets = array();
+    $this->uniqid = null;
     $this->name = $name;
     $this->titlename = $titlename;
     $this->selected = "";
+  }
+  
+  function set_id($id)
+  {
+    $this->uniqid = $id;
   }
 
@@ -82,4 +89,5 @@
   function select($name)
   {
+    $this->sheets = trigger_event('tabsheet_before_select', $this->sheets, $this->uniqid);
     $this->selected = $name;
   }
Index: /branches/2.4/admin/languages.php
===================================================================
--- /branches/2.4/admin/languages.php	(revision 16925)
+++ /branches/2.4/admin/languages.php	(revision 16926)
@@ -37,4 +37,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('languages');
 $tabsheet->add('installed', l10n('Installed Languages'), $my_base_url.'&amp;tab=installed');
 $tabsheet->add('update', l10n('Check for updates'), $my_base_url.'&amp;tab=update');
Index: /branches/2.4/admin/notification_by_mail.php
===================================================================
--- /branches/2.4/admin/notification_by_mail.php	(revision 16925)
+++ /branches/2.4/admin/notification_by_mail.php	(revision 16926)
@@ -589,4 +589,5 @@
   // TabSheet
   $tabsheet = new tabsheet();
+  $tabsheet->set_id('nbm');
   // TabSheet initialization
   $tabsheet->add('param', l10n('Parameter'),
Index: /branches/2.4/admin/photo.php
===================================================================
--- /branches/2.4/admin/photo.php	(revision 16925)
+++ /branches/2.4/admin/photo.php	(revision 16926)
@@ -62,4 +62,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('photo');
 $tabsheet->add('properties', l10n('Properties'), $admin_photo_base_url.'-properties');
 $tabsheet->add('coi', l10n('Center of interest'), $admin_photo_base_url.'-coi');
Index: /branches/2.4/admin/photos_add.php
===================================================================
--- /branches/2.4/admin/photos_add.php	(revision 16925)
+++ /branches/2.4/admin/photos_add.php	(revision 16926)
@@ -88,4 +88,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('photos_add');
 foreach ($tabs as $tab)
 {
Index: /branches/2.4/admin/plugins.php
===================================================================
--- /branches/2.4/admin/plugins.php	(revision 16925)
+++ /branches/2.4/admin/plugins.php	(revision 16926)
@@ -37,4 +37,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('plugins');
 $tabsheet->add('installed', l10n('Plugin list'), $my_base_url.'&amp;tab=installed');
 $tabsheet->add('update', l10n('Check for updates'), $my_base_url.'&amp;tab=update');
Index: /branches/2.4/admin/rating.php
===================================================================
--- /branches/2.4/admin/rating.php	(revision 16925)
+++ /branches/2.4/admin/rating.php	(revision 16926)
@@ -37,4 +37,5 @@
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 $tabsheet = new tabsheet();
+$tabsheet->set_id('rating');
 $tabsheet->add('rating', l10n('Photos'), get_root_url().'admin.php?page=rating');
 $tabsheet->add('rating_user', l10n('Users'), get_root_url().'admin.php?page=rating_user');
Index: /branches/2.4/admin/rating_user.php
===================================================================
--- /branches/2.4/admin/rating_user.php	(revision 16925)
+++ /branches/2.4/admin/rating_user.php	(revision 16926)
@@ -26,4 +26,5 @@
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 $tabsheet = new tabsheet();
+$tabsheet->set_id('rating');
 $tabsheet->add('rating', l10n('Photos'), get_root_url().'admin.php?page=rating');
 $tabsheet->add('rating_user', l10n('Users'), get_root_url().'admin.php?page=rating_user');
Index: /branches/2.4/admin/themes.php
===================================================================
--- /branches/2.4/admin/themes.php	(revision 16925)
+++ /branches/2.4/admin/themes.php	(revision 16926)
@@ -37,4 +37,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('themes');
 $tabsheet->add('installed', l10n('Installed Themes'), $my_base_url.'&amp;tab=installed');
 $tabsheet->add('update', l10n('Check for updates'), $my_base_url.'&amp;tab=update');
Index: /branches/2.4/admin/updates.php
===================================================================
--- /branches/2.4/admin/updates.php	(revision 16925)
+++ /branches/2.4/admin/updates.php	(revision 16926)
@@ -35,4 +35,5 @@
 
 $tabsheet = new tabsheet();
+$tabsheet->set_id('updates');
 $tabsheet->add('pwg', l10n('Piwigo Update'), $my_base_url);
 $tabsheet->add('ext', l10n('Extensions Update'), $my_base_url.'&amp;tab=ext');